#include "chdecl.h"
void CH_getformatters(current, sched, cop)
#define ARGUMENTS 4
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c54;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_record 3.0 , 12 */
  if ((ch_val.record = new_record(12)) == nil) goto ch_depletion;
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0).value = ch_val; REF(3)DOT(0).tsdr = & dr_record;
/* prog_lit 4 , 1 */
  if ((ch_returncode = che_prog_lit(DEF(4),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 5 4 , 2 */
  if ((ch_returncode = che_procedure(DEF(5),DEF(4),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* move 3.0.0 5 */
  (*(REF(3)DOT(0)DOT(0).tsdr)->finalize)(REF(3)DOT(0)DOT(0).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(0) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* prog_lit 6 , 3 */
  if ((ch_returncode = che_prog_lit(DEF(6),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 7 6 , 4 */
  if ((ch_returncode = che_procedure(DEF(7),DEF(6),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* move 3.0.1 7 */
  (*(REF(3)DOT(0)DOT(1).tsdr)->finalize)(REF(3)DOT(0)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(1) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* prog_lit 8 , 5 */
  if ((ch_returncode = che_prog_lit(DEF(8),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 9 8 , 6 */
  if ((ch_returncode = che_procedure(DEF(9),DEF(8),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* move 3.0.2 9 */
  (*(REF(3)DOT(0)DOT(2).tsdr)->finalize)(REF(3)DOT(0)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(2) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* prog_lit 10 , 7 */
  if ((ch_returncode = che_prog_lit(DEF(10),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 11 10 , 8 */
  if ((ch_returncode = che_procedure(DEF(11),DEF(10),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* move 3.0.3 11 */
  (*(REF(3)DOT(0)DOT(3).tsdr)->finalize)(REF(3)DOT(0)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(3) = REF(11);
  REF(11).tsdr = & dr_bottom;
/* prog_lit 12 , 9 */
  if ((ch_returncode = che_prog_lit(DEF(12),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 13 12 , 10 */
  if ((ch_returncode = che_procedure(DEF(13),DEF(12),QUAL(10)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* move 3.0.4 13 */
  (*(REF(3)DOT(0)DOT(4).tsdr)->finalize)(REF(3)DOT(0)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(4) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* prog_lit 14 , 11 */
  if ((ch_returncode = che_prog_lit(DEF(14),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 15 14 , 12 */
  if ((ch_returncode = che_procedure(DEF(15),DEF(14),QUAL(12)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* move 3.0.5 15 */
  (*(REF(3)DOT(0)DOT(5).tsdr)->finalize)(REF(3)DOT(0)DOT(5).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(5) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* prog_lit 16 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(16),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 17 16 , 14 */
  if ((ch_returncode = che_procedure(DEF(17),DEF(16),QUAL(14)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* move 3.0.6 17 */
  (*(REF(3)DOT(0)DOT(6).tsdr)->finalize)(REF(3)DOT(0)DOT(6).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(6) = REF(17);
  REF(17).tsdr = & dr_bottom;
/* prog_lit 18 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(18),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 19 18 , 16 */
  if ((ch_returncode = che_procedure(DEF(19),DEF(18),QUAL(16)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* move 3.0.7 19 */
  (*(REF(3)DOT(0)DOT(7).tsdr)->finalize)(REF(3)DOT(0)DOT(7).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(7) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* prog_lit 20 , 17 */
  if ((ch_returncode = che_prog_lit(DEF(20),QUAL(17),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 21 20 , 18 */
  if ((ch_returncode = che_procedure(DEF(21),DEF(20),QUAL(18)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* move 3.0.8 21 */
  (*(REF(3)DOT(0)DOT(8).tsdr)->finalize)(REF(3)DOT(0)DOT(8).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(8) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* prog_lit 22 , 19 */
  if ((ch_returncode = che_prog_lit(DEF(22),QUAL(19),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 23 22 , 20 */
  if ((ch_returncode = che_procedure(DEF(23),DEF(22),QUAL(20)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* move 3.0.9 23 */
  (*(REF(3)DOT(0)DOT(9).tsdr)->finalize)(REF(3)DOT(0)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(9) = REF(23);
  REF(23).tsdr = & dr_bottom;
/* prog_lit 24 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 25 24 , 22 */
  if ((ch_returncode = che_procedure(DEF(25),DEF(24),QUAL(22)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* move 3.0.10 25 */
  (*(REF(3)DOT(0)DOT(10).tsdr)->finalize)(REF(3)DOT(0)DOT(10).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(10) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* prog_lit 26 , 23 */
  if ((ch_returncode = che_prog_lit(DEF(26),QUAL(23),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 27 26 , 24 */
  if ((ch_returncode = che_procedure(DEF(27),DEF(26),QUAL(24)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* move 3.0.11 27 */
  (*(REF(3)DOT(0)DOT(11).tsdr)->finalize)(REF(3)DOT(0)DOT(11).value
    ,F_DISCARD,sched);
  REF(3)DOT(0)DOT(11) = REF(27);
  REF(27).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c54:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
